%define debug_package %{nil}

Summary:	vb-azureus
Name:		vb-azureus
Version:	4.2.0.0
Release:	3
License:	GPL
Group:      System/Servers
Vendor:     vortexbox.org
Packager:   admin@tvortexbox.org
URL:        http://www.vortexbox.org
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	screen
Requires:	jre

%description
Azureus, now called Vuze is a powerful, full-featured, cross-platform bittorrent
client and open content platform. This packages includes a web GUI.

%prep

%setup -q -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}
install -d %{buildroot}
cp -r * %{buildroot}

%post

mkdir -p /storage/bittorrent
chmod -R 777 /storage/bittorrent

cd /opt/azureus
(echo 'set "Default save path" "/storage/bittorrent/" string'; echo 'set "Use default data dir" true boolean'; echo quit) | ./launch-azureus

chkconfig --add vb-azureus
service vb-azureus start

%clean
rm -rf %{buildroot}

%files
/etc/init.d/*
/opt/azureus/*

%changelog
* Fri Aug 28 2009 <admin@vortexbox.org>
- Added dep for JAVA

* Tue Mar 31 2009 <admin@vortexbox.org>
- Initial release




